<?xml version="1.0" encoding="UTF_8"?>
    <Capability>
        <tag key="HAL_CUSTOM_SKETCH_PREVIEW_SUPPORTED" type="uint8_t">
            <value>1</value>
        </tag>
        <tag key="HAL_CUSTOM_TELE_EIS_FORCE_SWITCH_THRESHOLD" type="float">
            <value>8.3333</value>
        </tag>
        <tag key="HAL_CUSTOM_SKETCH_SCENEMODE_SUPPORTED" type="int32_t">
            <value>0</value>
            <value>20</value>
        </tag>
         <!--physical id : main wide tele mono front-->
        <tag key="HAL_CUSTOM_PHYSICAL_CAM_IDS" type="uint8_t">
            <value>0</value>
            <value>0</value>
            <value>1</value>
            <value>2</value>
            <value>2</value>
            <value>3</value>
        </tag>
        <tag key="HAL_CUSTOM_SENSOR_ISO_RANGE" type="uint32_t" action="override">
            <value>50</value>
            <value>409600</value>
        </tag>
        <tag key="CAMERA_SCALER_AVAILABLE_STREAM_CONFIGURATIONS" type="int32_t">
            <value>34</value>
            <value>4096</value>
            <value>2304</value>
            <value>0</value>
            <value>34</value>
            <value>4096</value>
            <value>2304</value>
            <value>1</value>
            <value>35</value>
            <value>4096</value>
            <value>2304</value>
            <value>0</value>
            <value>35</value>
            <value>4096</value>
            <value>2304</value>
            <value>1</value>
            <value>33</value>
            <value>4096</value>
            <value>2304</value>
            <value>0</value>

            <value>34</value>
            <value>4096</value>
            <value>1756</value>
            <value>0</value>
            <value>34</value>
            <value>4096</value>
            <value>1756</value>
            <value>1</value>
            <value>35</value>
            <value>4096</value>
            <value>1756</value>
            <value>0</value>
            <value>35</value>
            <value>4096</value>
            <value>1756</value>
            <value>1</value>
            <value>33</value>
            <value>4096</value>
            <value>1756</value>
            <value>0</value>

            <value>34</value>
            <value>3840</value>
            <value>2160</value>
            <value>0</value>
            <value>34</value>
            <value>3840</value>
            <value>2160</value>
            <value>1</value>
            <value>35</value>
            <value>3840</value>
            <value>2160</value>
            <value>0</value>
            <value>35</value>
            <value>3840</value>
            <value>2160</value>
            <value>1</value>
            <value>33</value>
            <value>3840</value>
            <value>2160</value>
            <value>0</value>

            <value>34</value>
            <value>3648</value>
            <value>2736</value>
            <value>0</value>
            <value>34</value>
            <value>3648</value>
            <value>2736</value>
            <value>1</value>
            <value>35</value>
            <value>3648</value>
            <value>2736</value>
            <value>0</value>
            <value>35</value>
            <value>3648</value>
            <value>2736</value>
            <value>1</value>
            <value>33</value>
            <value>3648</value>
            <value>2736</value>
            <value>0</value>

            <value>34</value>
            <value>3648</value>
            <value>2048</value>
            <value>0</value>
            <value>34</value>
            <value>3648</value>
            <value>2048</value>
            <value>1</value>
            <value>35</value>
            <value>3648</value>
            <value>2048</value>
            <value>0</value>
            <value>35</value>
            <value>3648</value>
            <value>2048</value>
            <value>1</value>
            <value>33</value>
            <value>3648</value>
            <value>2048</value>
            <value>0</value>

            <value>34</value>
            <value>3648</value>
            <value>1568</value>
            <value>0</value>
            <value>34</value>
            <value>3648</value>
            <value>1568</value>
            <value>1</value>
            <value>35</value>
            <value>3648</value>
            <value>1568</value>
            <value>0</value>
            <value>35</value>
            <value>3648</value>
            <value>1568</value>
            <value>1</value>
            <value>33</value>
            <value>3648</value>
            <value>1568</value>
            <value>0</value>

            <value>34</value>
            <value>3264</value>
            <value>2448</value>
            <value>0</value>
            <value>34</value>
            <value>3264</value>
            <value>2448</value>
            <value>1</value>
            <value>35</value>
            <value>3264</value>
            <value>2448</value>
            <value>0</value>
            <value>35</value>
            <value>3264</value>
            <value>2448</value>
            <value>1</value>
            <value>33</value>
            <value>3264</value>
            <value>2448</value>
            <value>0</value>

            <value>34</value>
            <value>3200</value>
            <value>2400</value>
            <value>0</value>
            <value>34</value>
            <value>3200</value>
            <value>2400</value>
            <value>1</value>
            <value>35</value>
            <value>3200</value>
            <value>2400</value>
            <value>0</value>
            <value>35</value>
            <value>3200</value>
            <value>2400</value>
            <value>1</value>
            <value>33</value>
            <value>3200</value>
            <value>2400</value>
            <value>0</value>

            <value>34</value>
            <value>2736</value>
            <value>2736</value>
            <value>0</value>
            <value>34</value>
            <value>2736</value>
            <value>2736</value>
            <value>1</value>
            <value>35</value>
            <value>2736</value>
            <value>2736</value>
            <value>0</value>
            <value>35</value>
            <value>2736</value>
            <value>2736</value>
            <value>1</value>
            <value>33</value>
            <value>2736</value>
            <value>2736</value>
            <value>0</value>

            <value>34</value>
            <value>2592</value>
            <value>1944</value>
            <value>0</value>
            <value>34</value>
            <value>2592</value>
            <value>1944</value>
            <value>1</value>
            <value>35</value>
            <value>2592</value>
            <value>1944</value>
            <value>0</value>
            <value>35</value>
            <value>2592</value>
            <value>1944</value>
            <value>1</value>
            <value>33</value>
            <value>2592</value>
            <value>1944</value>
            <value>0</value>

            <value>34</value>
            <value>2688</value>
            <value>1512</value>
            <value>0</value>
            <value>35</value>
            <value>2688</value>
            <value>1512</value>
            <value>0</value>
            <value>33</value>
            <value>2688</value>
            <value>1512</value>
            <value>0</value>

            <value>34</value>
            <value>2592</value>
            <value>1940</value>
            <value>0</value>
            <value>35</value>
            <value>2592</value>
            <value>1940</value>
            <value>0</value>
            <value>33</value>
            <value>2592</value>
            <value>1940</value>
            <value>0</value>

            <value>34</value>
            <value>2592</value>
            <value>1200</value>
            <value>0</value>
            <value>35</value>
            <value>2592</value>
            <value>1200</value>
            <value>0</value>
            <value>33</value>
            <value>2592</value>
            <value>1200</value>
            <value>0</value>

            <value>34</value>
            <value>1280</value>
            <value>536</value>
            <value>0</value>
            <value>35</value>
            <value>1280</value>
            <value>536</value>
            <value>0</value>
            <value>33</value>
            <value>1280</value>
            <value>536</value>
            <value>0</value>

            <value>34</value>
            <value>2384</value>
            <value>1080</value>
            <value>0</value>
            <value>35</value>
            <value>2384</value>
            <value>1080</value>
            <value>0</value>
            <value>33</value>
            <value>2384</value>
            <value>1080</value>
            <value>0</value>

            <value>34</value>
            <value>2048</value>
            <value>1536</value>
            <value>0</value>
            <value>35</value>
            <value>2048</value>
            <value>1536</value>
            <value>0</value>
            <value>33</value>
            <value>2048</value>
            <value>1536</value>
            <value>0</value>

            <value>34</value>
            <value>1944</value>
            <value>1944</value>
            <value>0</value>
            <value>35</value>
            <value>1944</value>
            <value>1944</value>
            <value>0</value>
            <value>33</value>
            <value>1944</value>
            <value>1944</value>
            <value>0</value>

            <value>34</value>
            <value>1920</value>
            <value>1440</value>
            <value>0</value>
            <value>35</value>
            <value>1920</value>
            <value>1440</value>
            <value>0</value>
            <value>33</value>
            <value>1920</value>
            <value>1440</value>
            <value>0</value>

            <value>34</value>
            <value>1920</value>
            <value>1080</value>
            <value>0</value>
            <value>35</value>
            <value>1920</value>
            <value>1080</value>
            <value>0</value>
            <value>33</value>
            <value>1920</value>
            <value>1080</value>
            <value>0</value>

            <value>34</value>
            <value>2560</value>
            <value>1080</value>
            <value>0</value>
            <value>35</value>
            <value>2560</value>
            <value>1080</value>
            <value>0</value>
            <value>33</value>
            <value>2560</value>
            <value>1080</value>
            <value>0</value>

            <value>34</value>
            <value>2368</value>
            <value>1080</value>
            <value>0</value>
            <value>35</value>
            <value>2368</value>
            <value>1080</value>
            <value>0</value>
            <value>33</value>
            <value>2368</value>
            <value>1080</value>
            <value>0</value>

            <value>34</value>
            <value>1600</value>
            <value>1200</value>
            <value>0</value>
            <value>35</value>
            <value>1600</value>
            <value>1200</value>
            <value>0</value>
            <value>33</value>
            <value>1600</value>
            <value>1200</value>
            <value>0</value>

            <value>34</value>
            <value>1696</value>
            <value>720</value>
            <value>0</value>
            <value>35</value>
            <value>1696</value>
            <value>720</value>
            <value>0</value>
            <value>33</value>
            <value>1696</value>
            <value>720</value>
            <value>0</value>

            <value>34</value>
            <value>1472</value>
            <value>1080</value>
            <value>0</value>
            <value>35</value>
            <value>1472</value>
            <value>1080</value>
            <value>0</value>
            <value>33</value>
            <value>1472</value>
            <value>1080</value>
            <value>0</value>

            <value>34</value>
            <value>1440</value>
            <value>1080</value>
            <value>0</value>
            <value>35</value>
            <value>1440</value>
            <value>1080</value>
            <value>0</value>
            <value>33</value>
            <value>1440</value>
            <value>1080</value>
            <value>0</value>

            <value>34</value>
            <value>1280</value>
            <value>1080</value>
            <value>0</value>
            <value>35</value>
            <value>1280</value>
            <value>1080</value>
            <value>0</value>
            <value>33</value>
            <value>1280</value>
            <value>1080</value>
            <value>0</value>

            <value>34</value>
            <value>1280</value>
            <value>960</value>
            <value>0</value>
            <value>35</value>
            <value>1280</value>
            <value>960</value>
            <value>0</value>
            <value>33</value>
            <value>1280</value>
            <value>960</value>
            <value>0</value>

            <value>34</value>
            <value>1280</value>
            <value>768</value>
            <value>0</value>
            <value>35</value>
            <value>1280</value>
            <value>768</value>
            <value>0</value>
            <value>33</value>
            <value>1280</value>
            <value>768</value>
            <value>0</value>

            <value>34</value>
            <value>1280</value>
            <value>720</value>
            <value>0</value>
            <value>35</value>
            <value>1280</value>
            <value>720</value>
            <value>0</value>
            <value>33</value>
            <value>1280</value>
            <value>720</value>
            <value>0</value>

            <value>34</value>
            <value>1088</value>
            <value>1080</value>
            <value>0</value>
            <value>35</value>
            <value>1088</value>
            <value>1080</value>
            <value>0</value>
            <value>33</value>
            <value>1088</value>
            <value>1080</value>
            <value>0</value>

            <value>34</value>
            <value>1080</value>
            <value>1080</value>
            <value>0</value>
            <value>35</value>
            <value>1080</value>
            <value>1080</value>
            <value>0</value>
            <value>33</value>
            <value>1080</value>
            <value>1080</value>
            <value>0</value>

            <value>34</value>
            <value>1024</value>
            <value>738</value>
            <value>0</value>
            <value>35</value>
            <value>1024</value>
            <value>738</value>
            <value>0</value>
            <value>33</value>
            <value>1024</value>
            <value>738</value>
            <value>0</value>

            <value>34</value>
            <value>1024</value>
            <value>768</value>
            <value>0</value>
            <value>35</value>
            <value>1024</value>
            <value>768</value>
            <value>0</value>
            <value>33</value>
            <value>1024</value>
            <value>768</value>
            <value>0</value>

            <value>34</value>
            <value>960</value>
            <value>720</value>
            <value>0</value>
            <value>35</value>
            <value>960</value>
            <value>720</value>
            <value>0</value>
            <value>33</value>
            <value>960</value>
            <value>720</value>
            <value>0</value>

            <value>34</value>
            <value>864</value>
            <value>480</value>
            <value>0</value>
            <value>35</value>
            <value>864</value>
            <value>480</value>
            <value>0</value>
            <value>33</value>
            <value>864</value>
            <value>480</value>
            <value>0</value>

            <value>34</value>
            <value>800</value>
            <value>600</value>
            <value>0</value>
            <value>35</value>
            <value>800</value>
            <value>600</value>
            <value>0</value>
            <value>33</value>
            <value>800</value>
            <value>600</value>
            <value>0</value>

            <value>34</value>
            <value>800</value>
            <value>480</value>
            <value>0</value>
            <value>35</value>
            <value>800</value>
            <value>480</value>
            <value>0</value>
            <value>33</value>
            <value>800</value>
            <value>480</value>
            <value>0</value>

            <value>34</value>
            <value>720</value>
            <value>1280</value>
            <value>0</value>
            <value>35</value>
            <value>720</value>
            <value>1280</value>
            <value>0</value>
            <value>33</value>
            <value>720</value>
            <value>1280</value>
            <value>0</value>

            <value>34</value>
            <value>720</value>
            <value>480</value>
            <value>0</value>
            <value>35</value>
            <value>720</value>
            <value>480</value>
            <value>0</value>
            <value>33</value>
            <value>720</value>
            <value>480</value>
            <value>0</value>

            <value>34</value>
            <value>720</value>
            <value>720</value>
            <value>0</value>
            <value>35</value>
            <value>720</value>
            <value>720</value>
            <value>0</value>
            <value>33</value>
            <value>720</value>
            <value>720</value>
            <value>0</value>

            <value>34</value>
            <value>640</value>
            <value>480</value>
            <value>0</value>
            <value>35</value>
            <value>640</value>
            <value>480</value>
            <value>0</value>
            <value>33</value>
            <value>640</value>
            <value>480</value>
            <value>0</value>

            <value>34</value>
            <value>640</value>
            <value>400</value>
            <value>0</value>
            <value>35</value>
            <value>640</value>
            <value>400</value>
            <value>0</value>
            <value>33</value>
            <value>640</value>
            <value>400</value>
            <value>0</value>

            <value>34</value>
            <value>640</value>
            <value>360</value>
            <value>0</value>
            <value>35</value>
            <value>640</value>
            <value>360</value>
            <value>0</value>
            <value>33</value>
            <value>640</value>
            <value>360</value>
            <value>0</value>

            <value>34</value>
            <value>600</value>
            <value>600</value>
            <value>0</value>
            <value>35</value>
            <value>600</value>
            <value>600</value>
            <value>0</value>
            <value>33</value>
            <value>600</value>
            <value>600</value>
            <value>0</value>

            <value>34</value>
            <value>352</value>
            <value>288</value>
            <value>0</value>
            <value>35</value>
            <value>352</value>
            <value>288</value>
            <value>0</value>
            <value>33</value>
            <value>352</value>
            <value>288</value>
            <value>0</value>

            <value>34</value>
            <value>320</value>
            <value>240</value>
            <value>0</value>
            <value>35</value>
            <value>320</value>
            <value>240</value>
            <value>0</value>
            <value>33</value>
            <value>320</value>
            <value>240</value>
            <value>0</value>

            <value>34</value>
            <value>176</value>
            <value>144</value>
            <value>0</value>
            <value>35</value>
            <value>176</value>
            <value>144</value>
            <value>0</value>
            <value>33</value>
            <value>176</value>
            <value>144</value>
            <value>0</value>
        </tag>
        <tag key="CAMERA_SCALER_AVAILABLE_MIN_FRAME_DURATIONS" type="int64_t">
            <value>34</value>
            <value>4096</value>
            <value>2304</value>
            <value>33333333</value>
            <value>35</value>
            <value>4096</value>
            <value>2304</value>
            <value>33333333</value>
            <value>33</value>
            <value>4096</value>
            <value>2304</value>
            <value>33333333</value>

            <value>34</value>
            <value>4096</value>
            <value>1756</value>
            <value>33333333</value>
            <value>35</value>
            <value>4096</value>
            <value>1756</value>
            <value>33333333</value>
            <value>33</value>
            <value>4096</value>
            <value>1756</value>
            <value>33333333</value>

            <value>34</value>
            <value>3840</value>
            <value>2160</value>
            <value>33333333</value>
            <value>35</value>
            <value>3840</value>
            <value>2160</value>
            <value>33333333</value>
            <value>33</value>
            <value>3840</value>
            <value>2160</value>
            <value>33333333</value>

            <value>34</value>
            <value>3648</value>
            <value>2736</value>
            <value>33333333</value>
            <value>35</value>
            <value>3648</value>
            <value>2736</value>
            <value>33333333</value>
            <value>33</value>
            <value>3648</value>
            <value>2736</value>
            <value>33333333</value>

            <value>34</value>
            <value>3648</value>
            <value>2048</value>
            <value>33333333</value>
            <value>35</value>
            <value>3648</value>
            <value>2048</value>
            <value>33333333</value>
            <value>33</value>
            <value>3648</value>
            <value>2048</value>
            <value>33333333</value>

            <value>34</value>
            <value>3648</value>
            <value>1568</value>
            <value>33333333</value>
            <value>35</value>
            <value>3648</value>
            <value>1568</value>
            <value>33333333</value>
            <value>33</value>
            <value>3648</value>
            <value>1568</value>
            <value>33333333</value>

            <value>34</value>
            <value>3264</value>
            <value>2448</value>
            <value>33333333</value>
            <value>35</value>
            <value>3264</value>
            <value>2448</value>
            <value>33333333</value>
            <value>33</value>
            <value>3264</value>
            <value>2448</value>
            <value>33333333</value>

            <value>34</value>
            <value>3200</value>
            <value>2400</value>
            <value>33333333</value>
            <value>35</value>
            <value>3200</value>
            <value>2400</value>
            <value>33333333</value>
            <value>33</value>
            <value>3200</value>
            <value>2400</value>
            <value>33333333</value>

            <value>34</value>
            <value>2736</value>
            <value>2736</value>
            <value>33333333</value>
            <value>35</value>
            <value>2736</value>
            <value>2736</value>
            <value>33333333</value>
            <value>33</value>
            <value>2736</value>
            <value>2736</value>
            <value>33333333</value>

            <value>34</value>
            <value>2592</value>
            <value>1944</value>
            <value>33333333</value>
            <value>35</value>
            <value>2592</value>
            <value>1944</value>
            <value>33333333</value>
            <value>33</value>
            <value>2592</value>
            <value>1944</value>
            <value>33333333</value>

            <value>34</value>
            <value>2688</value>
            <value>1512</value>
            <value>33333333</value>
            <value>35</value>
            <value>2688</value>
            <value>1512</value>
            <value>33333333</value>
            <value>33</value>
            <value>2688</value>
            <value>1512</value>
            <value>33333333</value>

            <value>34</value>
            <value>2592</value>
            <value>1940</value>
            <value>33333333</value>
            <value>35</value>
            <value>2592</value>
            <value>1940</value>
            <value>33333333</value>
            <value>33</value>
            <value>2592</value>
            <value>1940</value>
            <value>33333333</value>

            <value>34</value>
            <value>2592</value>
            <value>1200</value>
            <value>33333333</value>
            <value>35</value>
            <value>2592</value>
            <value>1200</value>
            <value>33333333</value>
            <value>33</value>
            <value>2592</value>
            <value>1200</value>
            <value>33333333</value>

            <value>34</value>
            <value>2384</value>
            <value>1080</value>
            <value>33333333</value>
            <value>35</value>
            <value>2384</value>
            <value>1080</value>
            <value>33333333</value>
            <value>33</value>
            <value>2384</value>
            <value>1080</value>
            <value>33333333</value>

            <value>34</value>
            <value>2048</value>
            <value>1536</value>
            <value>33333333</value>
            <value>35</value>
            <value>2048</value>
            <value>1536</value>
            <value>33333333</value>
            <value>33</value>
            <value>2048</value>
            <value>1536</value>
            <value>33333333</value>

            <value>34</value>
            <value>1944</value>
            <value>1944</value>
            <value>33333333</value>
            <value>35</value>
            <value>1944</value>
            <value>1944</value>
            <value>33333333</value>
            <value>33</value>
            <value>1944</value>
            <value>1944</value>
            <value>33333333</value>

            <value>34</value>
            <value>1920</value>
            <value>1440</value>
            <value>33333333</value>
            <value>35</value>
            <value>1920</value>
            <value>1440</value>
            <value>33333333</value>
            <value>33</value>
            <value>1920</value>
            <value>1440</value>
            <value>33333333</value>

            <value>34</value>
            <value>1920</value>
            <value>1080</value>
            <value>33333333</value>
            <value>35</value>
            <value>1920</value>
            <value>1080</value>
            <value>33333333</value>
            <value>33</value>
            <value>1920</value>
            <value>1080</value>
            <value>33333333</value>

            <value>34</value>
            <value>2560</value>
            <value>1080</value>
            <value>33333333</value>
            <value>35</value>
            <value>2560</value>
            <value>1080</value>
            <value>33333333</value>
            <value>33</value>
            <value>2560</value>
            <value>1080</value>
            <value>33333333</value>

            <value>34</value>
            <value>2368</value>
            <value>1080</value>
            <value>33333333</value>
            <value>35</value>
            <value>2368</value>
            <value>1080</value>
            <value>33333333</value>
            <value>33</value>
            <value>2368</value>
            <value>1080</value>
            <value>33333333</value>

            <value>34</value>
            <value>1600</value>
            <value>1200</value>
            <value>33333333</value>
            <value>35</value>
            <value>1600</value>
            <value>1200</value>
            <value>33333333</value>
            <value>33</value>
            <value>1600</value>
            <value>1200</value>
            <value>33333333</value>

            <value>34</value>
            <value>1696</value>
            <value>720</value>
            <value>33333333</value>
            <value>35</value>
            <value>1696</value>
            <value>720</value>
            <value>33333333</value>
            <value>33</value>
            <value>1696</value>
            <value>720</value>
            <value>33333333</value>

            <value>34</value>
            <value>1472</value>
            <value>1080</value>
            <value>33333333</value>
            <value>35</value>
            <value>1472</value>
            <value>1080</value>
            <value>33333333</value>
            <value>33</value>
            <value>1472</value>
            <value>1080</value>
            <value>33333333</value>

            <value>34</value>
            <value>1440</value>
            <value>1080</value>
            <value>33333333</value>
            <value>35</value>
            <value>1440</value>
            <value>1080</value>
            <value>33333333</value>
            <value>33</value>
            <value>1440</value>
            <value>1080</value>
            <value>33333333</value>

            <value>34</value>
            <value>1280</value>
            <value>1080</value>
            <value>33333333</value>
            <value>35</value>
            <value>1280</value>
            <value>1080</value>
            <value>33333333</value>
            <value>33</value>
            <value>1280</value>
            <value>1080</value>
            <value>33333333</value>

            <value>34</value>
            <value>1280</value>
            <value>960</value>
            <value>33333333</value>
            <value>35</value>
            <value>1280</value>
            <value>960</value>
            <value>33333333</value>
            <value>33</value>
            <value>1280</value>
            <value>960</value>
            <value>33333333</value>

            <value>34</value>
            <value>1280</value>
            <value>768</value>
            <value>33333333</value>
            <value>35</value>
            <value>1280</value>
            <value>768</value>
            <value>33333333</value>
            <value>33</value>
            <value>1280</value>
            <value>768</value>
            <value>33333333</value>

            <value>34</value>
            <value>1280</value>
            <value>720</value>
            <value>33333333</value>
            <value>35</value>
            <value>1280</value>
            <value>720</value>
            <value>33333333</value>
            <value>33</value>
            <value>1280</value>
            <value>720</value>
            <value>33333333</value>

            <value>34</value>
            <value>1088</value>
            <value>1080</value>
            <value>33333333</value>
            <value>35</value>
            <value>1088</value>
            <value>1080</value>
            <value>33333333</value>
            <value>33</value>
            <value>1088</value>
            <value>1080</value>
            <value>33333333</value>

            <value>34</value>
            <value>1080</value>
            <value>1080</value>
            <value>33333333</value>
            <value>35</value>
            <value>1080</value>
            <value>1080</value>
            <value>33333333</value>
            <value>33</value>
            <value>1080</value>
            <value>1080</value>
            <value>33333333</value>

            <value>34</value>
            <value>1024</value>
            <value>738</value>
            <value>33333333</value>
            <value>35</value>
            <value>1024</value>
            <value>738</value>
            <value>33333333</value>
            <value>33</value>
            <value>1024</value>
            <value>738</value>
            <value>33333333</value>

            <value>34</value>
            <value>1024</value>
            <value>768</value>
            <value>33333333</value>
            <value>35</value>
            <value>1024</value>
            <value>768</value>
            <value>33333333</value>
            <value>33</value>
            <value>1024</value>
            <value>768</value>
            <value>33333333</value>

            <value>34</value>
            <value>960</value>
            <value>720</value>
            <value>33333333</value>
            <value>35</value>
            <value>960</value>
            <value>720</value>
            <value>33333333</value>
            <value>33</value>
            <value>960</value>
            <value>720</value>
            <value>33333333</value>

            <value>34</value>
            <value>864</value>
            <value>480</value>
            <value>33333333</value>
            <value>35</value>
            <value>864</value>
            <value>480</value>
            <value>33333333</value>
            <value>33</value>
            <value>864</value>
            <value>480</value>
            <value>33333333</value>

            <value>34</value>
            <value>800</value>
            <value>600</value>
            <value>33333333</value>
            <value>35</value>
            <value>800</value>
            <value>600</value>
            <value>33333333</value>
            <value>33</value>
            <value>800</value>
            <value>600</value>
            <value>33333333</value>

            <value>34</value>
            <value>800</value>
            <value>480</value>
            <value>33333333</value>
            <value>35</value>
            <value>800</value>
            <value>480</value>
            <value>33333333</value>
            <value>33</value>
            <value>800</value>
            <value>480</value>
            <value>33333333</value>

            <value>34</value>
            <value>720</value>
            <value>1280</value>
            <value>33333333</value>
            <value>35</value>
            <value>720</value>
            <value>1280</value>
            <value>33333333</value>
            <value>33</value>
            <value>720</value>
            <value>1280</value>
            <value>33333333</value>

            <value>34</value>
            <value>720</value>
            <value>480</value>
            <value>33333333</value>
            <value>35</value>
            <value>720</value>
            <value>480</value>
            <value>33333333</value>
            <value>33</value>
            <value>720</value>
            <value>480</value>
            <value>33333333</value>

            <value>34</value>
            <value>720</value>
            <value>720</value>
            <value>33333333</value>
            <value>35</value>
            <value>720</value>
            <value>720</value>
            <value>33333333</value>
            <value>33</value>
            <value>720</value>
            <value>720</value>
            <value>33333333</value>

            <value>34</value>
            <value>640</value>
            <value>480</value>
            <value>33333333</value>
            <value>35</value>
            <value>640</value>
            <value>480</value>
            <value>33333333</value>
            <value>33</value>
            <value>640</value>
            <value>480</value>
            <value>33333333</value>

            <value>34</value>
            <value>640</value>
            <value>400</value>
            <value>33333333</value>
            <value>35</value>
            <value>640</value>
            <value>400</value>
            <value>33333333</value>
            <value>33</value>
            <value>640</value>
            <value>400</value>
            <value>33333333</value>

            <value>34</value>
            <value>640</value>
            <value>360</value>
            <value>33333333</value>
            <value>35</value>
            <value>640</value>
            <value>360</value>
            <value>33333333</value>
            <value>33</value>
            <value>640</value>
            <value>360</value>
            <value>33333333</value>

            <value>34</value>
            <value>600</value>
            <value>600</value>
            <value>33333333</value>
            <value>35</value>
            <value>600</value>
            <value>600</value>
            <value>33333333</value>
            <value>33</value>
            <value>600</value>
            <value>600</value>
            <value>33333333</value>

            <value>34</value>
            <value>352</value>
            <value>288</value>
            <value>33333333</value>
            <value>35</value>
            <value>352</value>
            <value>288</value>
            <value>33333333</value>
            <value>33</value>
            <value>352</value>
            <value>288</value>
            <value>33333333</value>

            <value>34</value>
            <value>320</value>
            <value>240</value>
            <value>33333333</value>
            <value>35</value>
            <value>320</value>
            <value>240</value>
            <value>33333333</value>
            <value>33</value>
            <value>320</value>
            <value>240</value>
            <value>33333333</value>

            <value>34</value>
            <value>176</value>
            <value>144</value>
            <value>33333333</value>
            <value>35</value>
            <value>176</value>
            <value>144</value>
            <value>33333333</value>
            <value>33</value>
            <value>176</value>
            <value>144</value>
            <value>33333333</value>
        </tag>
        <tag key="CAMERA_SCALER_AVAILABLE_STALL_DURATIONS" type="int64_t">
            <value>33</value>
            <value>4096</value>
            <value>2304</value>
            <value>33333333</value>

            <value>33</value>
            <value>4096</value>
            <value>1756</value>
            <value>33333333</value>

            <value>33</value>
            <value>3840</value>
            <value>2160</value>
            <value>33333333</value>

            <value>33</value>
            <value>3648</value>
            <value>2736</value>
            <value>33333333</value>

            <value>33</value>
            <value>3648</value>
            <value>2048</value>
            <value>33333333</value>

            <value>33</value>
            <value>3648</value>
            <value>1568</value>
            <value>33333333</value>

            <value>33</value>
            <value>3264</value>
            <value>2448</value>
            <value>33333333</value>

            <value>33</value>
            <value>3200</value>
            <value>2400</value>
            <value>33333333</value>

            <value>33</value>
            <value>2736</value>
            <value>2736</value>
            <value>33333333</value>

            <value>33</value>
            <value>2592</value>
            <value>1944</value>
            <value>33333333</value>

            <value>33</value>
            <value>2688</value>
            <value>1512</value>
            <value>33333333</value>

            <value>33</value>
            <value>2592</value>
            <value>1940</value>
            <value>33333333</value>

            <value>33</value>
            <value>2592</value>
            <value>1200</value>
            <value>33333333</value>

            <value>33</value>
            <value>2384</value>
            <value>1080</value>
            <value>33333333</value>

            <value>33</value>
            <value>2048</value>
            <value>1536</value>
            <value>33333333</value>

            <value>33</value>
            <value>1944</value>
            <value>1944</value>
            <value>33333333</value>

            <value>33</value>
            <value>1920</value>
            <value>1440</value>
            <value>33333333</value>

            <value>33</value>
            <value>1920</value>
            <value>1080</value>
            <value>33333333</value>

            <value>33</value>
            <value>2560</value>
            <value>1080</value>
            <value>33333333</value>

            <value>33</value>
            <value>2368</value>
            <value>1080</value>
            <value>33333333</value>

            <value>33</value>
            <value>1600</value>
            <value>1200</value>
            <value>33333333</value>

            <value>33</value>
            <value>1696</value>
            <value>720</value>
            <value>33333333</value>

            <value>33</value>
            <value>1472</value>
            <value>1080</value>
            <value>33333333</value>

            <value>33</value>
            <value>1440</value>
            <value>1080</value>
            <value>33333333</value>

            <value>33</value>
            <value>1280</value>
            <value>1080</value>
            <value>33333333</value>

            <value>33</value>
            <value>1280</value>
            <value>960</value>
            <value>33333333</value>

            <value>33</value>
            <value>1280</value>
            <value>768</value>
            <value>33333333</value>

            <value>33</value>
            <value>1280</value>
            <value>720</value>
            <value>33333333</value>

            <value>33</value>
            <value>1088</value>
            <value>1080</value>
            <value>33333333</value>

            <value>33</value>
            <value>1080</value>
            <value>1080</value>
            <value>33333333</value>

            <value>33</value>
            <value>1024</value>
            <value>738</value>
            <value>33333333</value>

            <value>33</value>
            <value>1024</value>
            <value>768</value>
            <value>33333333</value>

            <value>33</value>
            <value>960</value>
            <value>720</value>
            <value>33333333</value>

            <value>33</value>
            <value>864</value>
            <value>480</value>
            <value>33333333</value>

            <value>33</value>
            <value>800</value>
            <value>600</value>
            <value>33333333</value>

            <value>33</value>
            <value>800</value>
            <value>480</value>
            <value>33333333</value>

            <value>33</value>
            <value>720</value>
            <value>1280</value>
            <value>33333333</value>

            <value>33</value>
            <value>720</value>
            <value>480</value>
            <value>33333333</value>

            <value>33</value>
            <value>720</value>
            <value>720</value>
            <value>33333333</value>

            <value>33</value>
            <value>640</value>
            <value>480</value>
            <value>33333333</value>

            <value>33</value>
            <value>640</value>
            <value>400</value>
            <value>33333333</value>

            <value>33</value>
            <value>640</value>
            <value>360</value>
            <value>33333333</value>

            <value>33</value>
            <value>600</value>
            <value>600</value>
            <value>33333333</value>

            <value>33</value>
            <value>352</value>
            <value>288</value>
            <value>33333333</value>

            <value>33</value>
            <value>320</value>
            <value>240</value>
            <value>33333333</value>

            <value>33</value>
            <value>176</value>
            <value>144</value>
            <value>33333333</value>
        </tag>
        <tag key="HAL_CUSTOM_OPTICAL_ZOOM_THRESHOLD" type="uint8_t">
            <value>5</value>
            <value>3</value>
        </tag>
        <tag key="CAMERA_SENSOR_INFO_PIXEL_ARRAY_SIZE" type="int32_t">
            <value>7296</value>
            <value>5472</value>
        </tag>
        <tag key="HAL_CUSTOM_SCALER_AVAILABLE_STREAM_CONFIGURATIONS" type="int32_t">
            <value>32</value>
            <value>3648</value>
            <value>2736</value>
            <value>0</value>
        </tag>
        <tag key="HAL_CUSTOM_AVAILABLE_STREAM_CONFIGURATIONS" type="int32_t">
            <value>1</value>
            <value>3648</value>
            <value>2736</value>
            <value>33331760</value>
            <value>2</value>
            <value>7296</value>
            <value>5472</value>
            <value>50000000</value>
        </tag>
        <tag key="CAMERA_SENSOR_INFO_PRE_CORRECTION_ACTIVE_ARRAY_SIZE" type="int32_t" action="override">
            <value>0</value>
            <value>0</value>
            <value>7296</value>
            <value>5472</value>
        </tag>
        <tag key="CAMERA_SENSOR_INFO_ACTIVE_ARRAY_SIZE" type="int32_t" action="override">
            <value>0</value>
            <value>0</value>
            <value>3648</value>
            <value>2736</value>
        </tag>
        <tag key="HAL_REPROCESS_CUSTOM_QUICKTHUMBNAIL_RESOLUTION_SUPPORTED" type="int32_t" action="override">
            <value>3648</value>
            <value>2736</value>
        </tag>
         <tag key="HAL_CUSTOM_INCONSISTENT_RAW_STREAM_SUPPORTED" type="uint8_t">
            <value>1</value>
        </tag>
    </Capability>
